Page MenuHomePhabricator

Copy for messaging and webstore
Closed, ResolvedPublic

Description

Create copy for strings in the browser extension as well as webstore copy.

Messages not yet present in Extension:ReadingLists that are needed to support a reading list client:

  • A success message (e.g., "Page added!")
  • A reading lists-specific login required message (e.g., "You must be logged in to access your reading lists.")
  • (optional) An introductory clause to precede an API error message (e.g., "Failed to add page:")

Details

Related Gerrit Patches:
mediawiki/extensions/ReadingLists : masterMore string resources for the browser extension
mediawiki/extensions/ReadingLists : masterAdd i18n messages for the browser extension

Event Timeline

cmadeo created this task.Apr 9 2018, 4:56 PM
Mholloway removed Mholloway as the assignee of this task.Apr 9 2018, 9:17 PM
Mholloway triaged this task as High priority.Apr 9 2018, 9:46 PM
cmadeo updated the task description. (Show Details)Apr 9 2018, 11:27 PM

Should we start to select final copy in the copy doc?

@cmadeo Yes, let's do that. To be clear, we don't need copy for any of the "failure messages" at this point, except for (a) one to handle the case where the user has not yet chosen to enable reading list syncing, and (b) one to handle the case where the user has reached the per-list limit of 500 articles on the default list. It's not clear whether we will offer users the option of enabling directly from the extension or not in the case where syncing isn't yet enabled; that will depend on the opinion of Legal. The rest of the failures cases on the doc are impossible to encounter in the browser extension.

RHo added a comment.Apr 18 2018, 5:01 PM

thanks @cmadeo ! Just put in my votes with emoji (leaving rows with only one option empty).

Awesome! Thanks @RHo!

Change 427678 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/ReadingLists@master] Add i18n messages for the browser extension

https://gerrit.wikimedia.org/r/427678

Change 427678 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Add i18n messages for the browser extension

https://gerrit.wikimedia.org/r/427678

RHo added a comment.Apr 19 2018, 10:31 PM

hey @Mholloway @cmadeo - may I suggest a max-width of 320px ?

Example article with a long name if max-width is set to 320px:

Example log in prompt (min-width:160px; width:max-content):

Changes made in this branch – LMK what you both think:
https://github.com/reetssydney/webextension-readinglists/tree/visual-tweaks-take-2

@RHo LGTM! Thanks!

LGoto added a comment.May 9 2018, 9:02 PM

Hi @cmadeo just checking, is this ready to go?

@LGoto, everything is moved over to final in the CopyDoc so I think this is good to go

LGoto assigned this task to Mholloway.May 9 2018, 10:20 PM

Thanks @cmadeo !

@Mholloway over to you, I think.

Change 432386 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/ReadingLists@master] More string resources for the browser extension

https://gerrit.wikimedia.org/r/432386

Change 432386 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] More string resources for the browser extension

https://gerrit.wikimedia.org/r/432386

Mholloway closed this task as Resolved.May 22 2018, 3:45 PM

Calling this resolved. The next step is publication which is covered in T193090: Publish WebExtension to Chrome and Firefox extension stores when complete.